TrackRanger Contents

TrackRanger-GPS

About TrackRanger

System Requirements

Installing TrackRanger

TrackRanger Video

Wiring Connections

GPS Communications setup

GPS Coordinates

Starting TrackRanger

Starting GPS Communications

Setting up a Map File

Loading a Map File

NatMap maps with TrackRanger

Manually navigating around ECW (e.g. NatMap) maps

Travel Statistics

Night Vision

Calibrating Map Coordinates

Lat / Long Calculator

Showing the GPS position on the map

Time Synchronisation

Viewing GPS Coordinates

Information Statistics

AutoPilot

Datum Shift

Satellite Data

Recommended Maps Utility

Locating adjoining maps

Zooming the Map Surface

Toolbar

Speedometer Display

Track Trace

Status Line

Marking Positions

WayPoint Management

Distance, Bearing and ETA to WayPoints

Photographs on Maps

Printing Maps

Measuring Distances

Information Statistics Page

Trip Notes Log

Hot Keys

Compass Display

Auto-Track

Map out-of-bounds display

Birds-Eye View

Night Vision

Trimming the displayed position

Changing the Spot Size

Accuracy of displayed position

Support Information

UBD Maps and TrackRanger


About TrackRanger

About TrackRanger [tm]

TrackRanger [tm] provides a navigation facility for allowing a GPS (Global Positioning System) device to be connected to a personal computer, and data from the GPS unit directly plotted on a map surface presented on the screen. It may be used on desktop computers, as well as notebook units, thus allowing positioning information to be available as an 'in-car navigation' system.

Traditional map navigation systems require that the input data maps be geo-referenced (have embedded positioning information contained within the map data). This limitation restricts the use of such navigation aids to the availability of suitable maps, and furthermore, the user is restricted to the available resolution (map scale) provided by those maps.

TrackRanger does not require maps to contain Geo-Referencing information, as tools are provided to allow this information to be effortlessly added to any suitably supplied input file map. The map data files used by TrackRanger conform to Microsoft Windows[TM] industry standards. They include JPG, BMP and EMF formats. These maps may be user created, or scanned by means of a standard scanner device attached to a Personal Computer. They may also be created with a number of easily available third party drawing tools, including most scanning software, Corel Draw and Paint Shop Pro.

Tools are provided by TrackRanger to easily calibrate these maps.

TrackRanger allows zooming of the map area, and up to 20 map position markers may be placed on each map and annotated at any location. A facility is provided to easily search for and identify any of the existing map markers. Additionally, an 'origin' point may be placed on the map at any position, and straight-line distances measured in any direction from that point. An automatic search facility is provided to easily locate maps that fit within the boundaries of the received GPS coordinate, thus avoiding the requirement to manually locate a map to match the current geographical location.

Scale Rulers, Birds-Eye views, Zooming, Satellite navigation functionality, Compass, Speed, Altitude and movable 'floating' ruler displays further complement the extensive facilities offered by TrackRanger.

Special attention was made by the TrackRanger development team to ensure that the screen layout remained uncluttered, leaving more space available for map displays, and simple mouse clicks or one / two touch key strokes (Hot Keys) allow the users to quickly and easily navigate through all of the TrackRanger menus.

TrackRanger-GPS
Internet: www.advantechdesign.com
email: trackranger@advantechdesign.com.au


System Requirements

TrackRanger requires the following minimum system hardware configuration:

Computer: |
Processor | Pentium 600MHz+ recommended
Operating System | Windows XP, Windows-2000, Server 2003, Vista
Pointing Device | Mouse or Track ball as a pointing device
RAM | 256 Mb recommended
Disk Space | Minimum 120Mb free disk space (plus map storage space)
Display | 1024 by 768 pixels (recommended)
Resolution | True Colour 32bit (or 24 bit) preferred for high quality graphics
Communications | Serial data port (COM1 or COM2) for connecting to GPS
 | or USB / Serial adapter
Navigation: |
GPS device | Any GPS unit, NMEA-0183 (National Marine Electronics Association) capable, with a serial data port (RS-232) or compatible USB GPS..
Cable | Data Communications cable to connect GPS to computer system
 | see GPS Communications setup
Other (*) |
CD-ROM | CD-ROM drive (Load device)

TrackRanger requires map data to be provided as JPG, BMP or Windows™ Enhanced Meta-File format (EMF extension). See the section on setting up a map.

Copyright © 2000-2001 Advantech Design P/L, All rights reserved.


Installing TrackRanger

How To Install TrackRanger

TrackRanger is designed to be installed into the C:\Program Files\TrackRanger\ directory. This directory contains the executable file (TrackRanger.exe), the map data configuration file (TrackRanger.ini), and the entire user created map data in the Maps sub-directory.

Step 1
To install TrackRanger, insert the installation disk (CD-ROM). The installation program should start automatically. Alternatively, use Windows explorer to navigate to the installation disk SETUP.EXE program (usually drive A:\ for floppy disk installations, and D:\ for CD-ROM installations. Double click on setup.exe.

Step 2
Setup will automatically create the necessary program groups and icons, and install the application software.

Tip: You can also install TrackRanger by running setup.exe from the Windows Start button.

Do this by selecting Start|Run and use the Browse... button to navigate to the disk containing the setup program (floppy Drive of CDROM Drive) and then pressing the OK button:

NatMap Installation Errors
TrackRanger 4.0 and later can assist to correct the "One or more files failed to register" message sometimes associated with NatMaps. See the section on NatMaps for more information.


Wiring Connections

Garmin GPS 12XL:
Before TrackRanger can be used, it is necessary to connect the GPS unit to the computer, and establish to correct communications protocol. In the case of the Garmin™ GPS 12XL, the wiring connections shown to the right should be used.

For convenience, the +12V may be looped to the Garmin Plug from inside the back of the DB9 connector.

Garmin Plug | DB9 connector | 12V supply (eg: Cigarette Lighter
Data In (Green) | Pin 3 (Txd) |
Data Out (Yellow) | Pin 2 (Rxd) |
Power |  | +12V
Ground (Black) | Pin 5 (Common) | Ground

Cables are available from manufacturers for connecting the GPS to a computer system. The required Garmin 12XL cable part number is: 010-10165-00 (data cable complete with cigarette lighter adapter plug), or 010-10141-00 (data cable only).

Contact your GPS agent for cables to suit your specific GPS device.

See also GPS Communications Setup

Tip:
Ensure that you adjust the electrical interface protocol on your GPS to NMEA 0183 before connection to the TrackRanger computer.


GPS Communications setup

The GPS communications format must first be established. Do this by selecting the "GPS Satellite Data" item from the "View" drop-down menu (hot key S).

This will present the GPS Satellite Data Form. The user then selects the GPS Comms Data tab, and enters the values to match the GPS unit.

Most GPS units use:
4800 Baud
No Parity,
8 Data Bits
1 Stop Bit.

The COM port refers to the communications port on the PC or notebook that is connected to the GPS. Refer to your GPS documentation for settings specific to your requirements. You may also pres the Auto Detect button to try to automatically locate the GPS.

For example, if the Garmin is setup for 4800 baud, then the TrackRanger PC must also be setup for 4800 baud.

Once the values have been selected, press on the save button to write the settings to the local database, and then close the form.

Connect the data cable from the GPS unit to the computer Com Port selected above, turn on the GPS, and wait until it has established a position fix.

For more information, please refer to the TrackRanger manual, or see also the section on Starting GPS Communications and Wiring Connections

Tip: You can also press the 'S' hot-key on the keyboard to select the Satellite data page. See Hot Keys for more details.


Setting up a Map

Setting up a Map File

Maps are available in digitised format from many Map distributors.

Alternatively, users may wish to create their own maps. Either way, digitised map information must be available before TrackRanger can display data. Various tools are available to draw shapes and other line information on a screen surface, and to save these in Windows BMP, JPG, EMF or other formats. An existing map may be scanned and saved as a JPG, BMP or EMF file format, and this is probably to fastest way to create a map surface for use by TrackRanger.

Generally, the following procedure should be used to create the map Steps 1 & 2 are all that is required, steps 3 & 4 are optional:

Step 1:
Use a Scanner to scan a map area, applying the following scan resolution settings

Resolution: | 100 dpi (200 dpi recommended)
Document type: | Photo quality (Photo Quality 24 bits)
Scale: | 100%
Scan Mode: | Color
Auto Density |

Step 2:
Scan the information, and save as a JPG, BMP or Windows EMF file. Once the map has been created, it should be saved to the TrackRanger Maps directory (usually C:\Program Files\TrackRanger\Maps\) on the TrackRanger computer system. Alternatively, it may be written to a CD-ROM, as a part of a user defined library of maps for use by the TrackRanger system.

Step 3 (optional):
Although TrackRanger works well with JPG and BMP files, some users may wish to store the Map files as compressed Metafiles. Metafiles contain vectored data, and are more flexible in their scaling properties. Maps can be reduced and saved as metafiles. This then allows them to be zoomed to high magnification levels without the undesirable introduction of "graininess" to the resulting display.

One method of creating the EMF is to use CorelDraw™ to Import (<Cntrl-I>) the JPG file created from the scanned image, and then use the Arrange | Transform Size option (with the proportional checkbox checked) to reduce the image to approximately 140mm (5.5") wide. This should give approximately 172mm high, depending on proportions of the original image.

Note: Make sure the Proportional checkbox is checked before entering the new required sizes!

Step 4 (for MetaFiles created in step 3 above):
Export (<Cntrl-H>) this reduced file as an EMF format, and copy into the Maps directory (default is: C:\Program Files\TrackRanger\Maps\, but you may prefer to copy to CD-ROM if a CD-ROM writer is available. This then becomes the map file for use by TrackRanger.

Tip:
If the map is to be converted using Paint Shop Pro™ (PSP), open the JPG map in PSP, and use the File | Save As option to save the data as an EMF file:


Calibrating Map Coordinates

Before TrackRanger can be used as a navigation facility, it is necessary to initialize the TrackRanger database with the Latitude and Longitude coordinates of the displayed map. Many maps are already calibrated, e.g. NatMaps, Australia's Outback Tracks etc.
Calibrating your own map is accomplished by easy steps.

This then allows TrackRanger to apply its navigation data to the map surface. Tools are provided within TrackRanger to allow these coordinates to be easily loaded and saved. The only requirement is that the user must know the coordinate points at the top left-hand and bottom right-hand locations of the map.

To calibrate these coordinates, the mouse is used together with the left-hand Mouse Buttom (LMB), <Control> and <Alt> keys on the keyboard. The <Control>+LMB is used to enter the top left hand coordinates; <Alt>+LMB is used to enter the bottom right-hand coordinate.

Step 1:
Locate the mouse cursor pointer over a known location near the top left-hand corner of the map, and while holding down the left <control> key, press the left mouse button. This stores the top left-hand corner mouse position, which then must have a corresponding Lat/Long or UTM coordinate applied.

The following screen will be presented, and the user should enter the coordinate points for the Start Lat and Start Long at the exact mouse position where the mouse button was pressed, or by pressing the Enter as UTM button, and entering the Northings and Eastings

Data is entered as Latitude and Longitude in Degrees, Minutes and Seconds format. When the data has been entered, press the Apply + Close button. The form will close.

Note that you may also enter the data as UTM coordinates by clicking on the appropriate buttons.

You should also select the WGS Map Reference and the map hemisphere to match the detail from the source map. This is required to calculate UTM reference values.

Step 2:
To calibrate the lower right-hand corner of the map, position the mouse at a known location on the map in the lower right corner, and while holding down the left <Alt> key on the computer keyboard, press the left mouse button:

Enter the coordinates for the corresponding point on the map in the End Lat and End Long edit boxes, or enter as UTM

Step 3:
Press the Apply and Test Button
Press the Extend Start Lat/Long to map Boundary
Press the Extend End Lat/Long to map Boundary
Press the Auto Estimate Dist button
A distance value should now be calibrated into the map database. This distance should be the exact distance between the starting and ending longitude points (the distance between Start Long and End Long) entered above. In other words, the map horizontal scale, and it is entered as a value in metres.

Step 4:
Press the Apply + Close button to write the coordinates to the database file for the current map.

Once the coordination points are set, TrackRanger will provide scale rulers along the right hand side (latitude) and the bottom of the map (longitude). These rulers show the coordinate points in Degrees, Minutes and Seconds.

Coordinate point data is saved to the local database (TrackRanger.ini), and is then automatically re-loaded, each time the corresponding map is opened.

The current map file name, and coordinate points are shown along the top of the TrackRanger form as the mouse is moved over the map surface.

Refer to the printed TrackRanger Quick Start guide, or the TrackRanger manual for more information.

See also Lat/Long Calculator

Tips:
For convenience, if GPS communications are already available, and the position reported by the GPS is currently at the exact mouse location being entered, the user may check the Use current GPS for Start / End Point option.
The current GPS position will be entered into the edit boxes, to save manually entering the data. Note that this option should only be used if the GPS position currently coincides exactly with the map Start or End Point.

It is desirable to periodically make a backup of the TrackRanger.ini file, as this file contains all of the coordinate data point's information for the maps.


Lat / Long Calculator

If the maps being utilised are scanned from a larger map into individual frames (eg a large map dissected into 6 individual frames 3 wide by 2 high), the TrackRanger Quick Lat / Long calculator may be used to more effectively and quickly input the calibration data.

Load one of the individual map frames to be calibrated (from the TrackRanger File | Open menu). (Hot-key 'O')

Start the calculator program, by selecting the Lat / Long calculator from the Utilities drop-down menu.

Step 1:
On the calculator program, enter the start and end Lat and Long positions from the overall map (not the individual map frame, but the entire map that this frame is a part of). Data is entered in degrees, minutes and seconds.

Step 2:
Use a ruler to measure the overall (physical paper) size of the map, and input the total latitude and longitude distance in millimeters as measured on the map surface - for example 605mm by 490mm.

Use a ruler to measure the map scale, and determine the number of metres per 100mm of map scale (for example, at a map scale of 250,000:1 a measurement of 100mm would equal a distance 25000 metres (25Km). In this case, enter 25000 in the "Mtrs per 100mm" edit box.

Step 3:
Now, using a ruler, determine where the displayed map individual frame rests within the overall full map. Measure the distance to the start and end of the map frame from both the left extremity of the map (Longitude), and the top of the map (Latitude). Enter these values into the Map individual frame paper surface distances (mm) edit boxes on the lower left of the calculator form.

Step 4:
When all of the data has been entered, press on the Calculate button. The proportional start/end Latitude and Longitude values will be displayed in the results window on the lower right-hand corner of the Lat/Long calculator window.

Step 5:
If you are satisfied with the results, they may be automatically transferred to the Lat Long and Distance data form by simply pressing the "Copy Coords" button.

The section on Calibrating the Map Coordinates may then be followed, but now the user will find that the Lat / Long and Distances values will already be filled in with the results from the Lat / Long calculator.

Step 6:
Press the "Clr" button to zero the dimension coordinates in the frame window, display (load) the next required map, and fill in the appropriate values for that frame. Repeat the above procedure until all coordinates have been completed.

Tips:
Check the "Stay On Top" checkbox to allow the Quick Lat / Long calculator to remain in view while the remaining map frames are calibrated.

If more frames are to be entered that all have the same frame size as the first frame, check the Auto Update End Lat/Long Coords checkbox. The size of the previous frame will be automatically added to the start lat/long mm distances to quickly calculate the end value.


Starting TrackRanger

Start TrackRanger by selecting TrackRanger from the Programs item of the Windows Start button, or by double clicking on the TrackRanger.exe program from the
C:\Program Files\TrackRanger\ directory (assuming that the software has been installed in the default directory).

If a shortcut to TrackRanger is placed on the desktop, then TrackRanger can be started by double clicking this icon.


Starting GPS Communications

Click on the Link to GPS item from the top menu bar (Hot-key 'L'). Communications will be established to the GPS unit using the settings described in GPS Communications Setup. Make sure that the GPS is connected to the computer with the correct cable.

Tip: For 'practice purposes', if the GPS is not already "Linked", the <esc> key can be pressed to link to a disk-based file (GPSData.Log). This can be used so that a user can become familiar with the program without the requirement to have the GPS connected.

(GPSData.Log file is supplied with the TrackRanger distribution, and is designed to work with the TrackRanger Demo Map file)


GPS Coordinates

Viewing GPS Coordinates

The GPS coordinates data may be viewed by selecting the View GPS Coordinates item from the top menu bar.

This will allow the GPS Coordinates page to be displayed. This page contains information relating to the data received from the GPS unit, including:
·Latitude,
·Longitude,
·Universal Transverse Mercator (UTM) Map zone & coordinates
·Validity (Geographic position validity)
·Altitude,
·Speed,
·Satellite count,
·Course (bearing),
·Navigation quality,
·Geodid height (height of the geodid (mean sea level) above WGS84 ellipsoid.)
·Warning (a warning usually means that the receiver has no reception.)


Hot-Keys

Single and paired key-strokes are available to perform certain common functions with TrackRanger. These are listed in a table presented to the user from either:

Pressing the letter H as a Hot Key

Selecting "Hot Keys Summary" from the help Drop-Down menu


Status Line

A Status Line is provided at the top of the map. This line provides information relating to the most recent event undertaken by TrackRanger. This includes Zoom operations, file names etc, GPS communications messages etc.

The utilities menu offers the option to show these status messages to screen also. To enable this function, select the "Show Status Messages" item:

When this option is enabled, TrackRanger's latest operational tasks are presented as 'splash' messages on the main TrackRanger screen:


Datum Shift

About Map Datums
As the earth is not perfectly spherical, a 'datum' is used to express a set of reference locations describing the earth's shape more precisely.

The World geodetic System 1984 (commonly referred to WGS84) references a datum used by the US Military Global Positioning System (GPS). It is generally accepted that this datum provides a global best-fit description of the shape of the earth. The origin of WGS84 is the same as for latitude and longitude, as is taken from a location at the centre of the earth.

The Map Datum GDA94 (Geocentric Datum of Australia) is designed to replace Australian Geodetic Datum 1966 (AGD66) and Australian Geodetic Datum 1984 (AGD84), however, this datum is nominally identical to WGS84, except for the most exact location-based applications.

Applying Datums
Some GPS units may not be able to supply data in the same Geodetic Datum as the map has been calibrated in. TrackRanger provides the ability to introduce a +/- 0 to 59 second adjustment to the position being received from the GPS. This effectively provides a datum shift.

Most maps will provide conversion factors for converting from one datum to another. E.g. to convert from WGS72 to AGD66 the following values are sometimes used:
Increase Latitudes by 5.4"
Decrease Longitudes by 4.1"

The View | Apply GPS Datum Correction allows users to select an adjustment to the GPS position.

Set the values to match the information from your map supplier, and make sure that you tick the check box.

TrackRanger stores the supplied parameters, and will continue to apply this adjustment until the Apply Datum Shift box is de-selected. If Datum Shift is on, the user is reminded when they next start TrackRanger.

The status of Datum Shift is also available from Information Statistics (hot-key 'I')

TrackRanger provides two different methods of adjusting position to compensate for different Datums between the map and the GPS receiver:
1. Manual Entry of an adjustment offset
2. Automatic Calculation of an adjustment offset

Manual Shift:
Most maps will provide conversion factors for converting from one datum to another. To set the values manually to match the information from your map supplier, select the Manual Shift radio button, and enter the appropriate offset values

Automatic Shift:
To allow TrackRanger to calibrate the exact offset values, make sure the WGS 84 datum is selected on your GPS receiver (this is the most common, and the default on GPS receivers with no datum adjustment) , and then press the Automatic Shift radio button. Set the map value from the drop-down list to match the datum of the currently used map (tip: TrackRanger will try to set this value for you automatically, from data contained within the map reference information).

Tip: If you need to use the Datum Correction and are not sure of the datum shift amounts, perform the following:

1. Travel to a known location

2. With TrackRanger linked to your GPS and your map loaded, select Apply GPS Datum Correction from the utilities menu.

3. Select the Manual Shift radio button.

4. Increase/decrease the values until the displayed GPS position coincides with your current physical location.

Datum Shift with TrackTrace:
If a TrackTrace was created while datum Shift was zero (OFF), and Datum Shift is subsequently turned on, the TrackTrace will be drawn with the bias applied by the Datum Shift amount. This can be offset by allowing TrackRanger to appy a negated datum shift amount to the trackTrace.

Tip: A brief description of Datums and Coordinate systems can be found in the TrackRanger Manual


Zooming

Zooming In:

A portion of the map may be zoomed by moving the mouse to a point on the map, and while holding down the left mouse button, drag an area around the required map location (rubber-banding). When the desired area has been selected, release the left mouse button.

The selected area will be enlarged and drawn on the map surface.

The maximum zoom value allowed is 500%, and the system will reduce (limit) larger magnifications to this value.

Zooming Out:

Restoring the magnification to the full size may be performed by either clicking on the Zoom Out item on the main menu bar, or by pressing the right mouse button, and selecting the Zoom Out option from the pop-up menu.

Map Panning / Zooming with keyboard:

Maps may also be Panned and Zoomed with combinations of the keyboard arrow and Page Up / Page Down keyboard buttons.

Use the Shift + Page Up / Page Down keys to zoom in / out.

Use the arrow keys to move the position of the entire map within the viewing window (ideal when the map extends over the screen boundaries)

Use the Shift and Arrow Keys to pan the current view of the map (hold down shift while pressing the arrow keys) - This is best suited when an area already is zoomed in.

Tip: Hot key 'Z' is also available to Zoom-Out (see Hot Keys) and also the TrackRanger Toolbar.

Tip: Automatic zooming at magnifications up to 5X are available by running the AutoTrack feature (see AutoTrack)


Showing the GPS position on the map

When a position fix has been established by the GPS, a yellow spot will flash on the map surface at the position reported by the GPS unit.

Tip: Note that if communication is lost, or the GPS reports that the data is not valid, the last reported position will appear in a 'steady' state on the map (ie: not flashing), therefore, the user may quickly identify dynamic reporting of the data by the state of the GPS position spot (flashing or steady).

Tip Auto Map Move (Hot-keys AM) will force the map to move so that the position is "in view"

Directional Arrow

TrackRanger 4.1 and later allows the user the option to choose between a flashing 'circle' as the GPS position, or a flashing directional arrow. The selection is made from the GPS Coordinates page (hot-key 'G')

The Arrow size may be changed from the GPS Map Calibration page (hot-key: Control-G)

Note: the 'TIP' of the arrow represents the calculated GPS location.

Choosing Directional Arrow
Alternate between the flashing spot, or the Directional Arrow by selecting the appropriate radio button from the GPS Coordinates page


Loading a Map File

To manually load a map file, follow these steps:

Step 1:
Select the File | Open drop down menu, (Hot-Key "O") and navigate to the directory containing your ECW, JPG, BMP or EMF map data
(usually C:\Program Files\TrackRanger\Maps\, or a sub-folder, but files may also be read from a CD-ROM if available).

Step 2:
Navigate to the required map file. When the correct map has been located, click on the open button. The map will be loaded into TrackRanger. If it is an ECW map iyt will be loaded in preview mode.

Tips:
The last directory used is stored in the initialisation file, so that the user does not have to continually navigate to alternative directories (eg: CD-ROM drive).

If GPS data is available, TrackRanger can also recommend maps that fall within the current GPS position (see Recommend Maps Utility option)

Tip: TrackRanger can be configured so that the previously loaded map is automatically loaded at the next startup. To enable this functionality, select (check) the "Load Last Map Used on Startup" from the Utilities drop-down menu.

Tips:
For Autoloading a NatMap MapSheets or NatMap Mosiac maps, select the option from the File drop-down menu or use the corresponding hotkeys (hot keys ER and EA respectively).

To search for and load a map adJoining the current map (hot-keys J or EJ), please see the section on Locating an Adjoining Map


Toolbar

TrackRanger Toolbar

As well as the ability to control many of the TrackRanger options with a series of one or two keyboard strokes, a number of features can be controlled from the TrackRanger Toolbar. This toolbar provides facilities to toggle a number of screen displays, including Compass, GPS data, Satellite information and Birds Eye View (BEV).

It can also be used to control the recommended maps and manage various levels of Auto-Track Zoom (2X to 5X), as well as zoom-out to view the full screen (1X).


Recommended Maps Utility

Given an input GPS coordinate, TrackRanger includes the ability to search the map database, and provide a recommendation of all maps that have boundaries surrounding the input GPS coordinate. This eliminates the requirement to manually search for a required map to suit the present location.

To use the map location facility, click on the Recommended Map item from the File drop-down menu (hot-key 'R').

Note that the Recommend Map option is only usable if a valid GPS coordinate is being received from the connected GPS device. If no signal is available, a message is presented to alert the operator.

If a valid GPS coordinate is available, the database is scanned, and maps containing relative information are presented to the user. The user should then click on the required map from the list to allow previewing and optional opening of the recommended map file.

Click on the Cancel button to ignore map-loading recommendation.

See also Auto Map Recommend and Load

Tip: See also TrackRanger Toolbar


Adjoining Maps

Locating Adjoining Maps

If a map is currently loaded, TrackRanger allows for adjoining maps the surround the currently loaded map to be automatically searched for and loaded.

Select the option from the File Menu, or use the Hot-Key 'J' (HotKey 'EJ' for NatMap maps).

TrackRanger will search for maps that abut the extremities of the current map, or overlap into the current map for the relevant compass points of North, East, South, West, North-East, South-East, South-West and North-West.

Tip: If a NatMap MapSheets map is loaded, to locate adJoining maps, use the HotKeys 'EJ' instead.


Compass

A compass facility is provided to allow a user to determine current direction. Select the GPS Compass item from the View GPS Data drop down menu (hot-key 'C').

The compass also includes speed and altitude information. A course of 360 degrees indicates Northbound, with course increments shown on the compass in a clockwise direction (eg: 90 degrees = East-bound).

The compass also shows Speed and Altitude displays.

Tip: The Compass display can also be controlled from the Tool Bar

Compass not centered:
Depending on screen resolution and computer model, it may occur that the compass needle is not centered on the compass background. In actual fact, the needle is centered, but the background is offset. This can be corrected by clicking just outside the border of the compass black circle while the left Control key is depressed. TrackRanger allows you to reposition the compass background until it is centered with the needle. The information is stored by TrackRanger so that subsequent starts will always show the compass correctly. For more information, see the TrackRanger manual.


Trimming the displayed position

As a temporary adjustment to change position of the location of the spot on the map surface, a trim facility is provided. This allows minor adjustments to be made to the displayed position of the GPS information.

Note: the Datum Shift option is the preferred method to change the displayed position and is the only option to provide accuracy to the changed position

Step 1:
Select the GPS Calibration item from the View GPS Data menu:

This then displays the Calibration form that also provides the facility to apply positive or negative offsets (trims) to the GPS position on the map surface.

Step 2:
Use this facility to apply a minor correction to the displayed position when you know the exact position of the displayed mark.

Trim adjustments are dynamic, so the user can see the changes on the form as they are adjusted in the scroll boxes. The X trim affects longitude position, the Y trim affects latitude position. A positive X value moves the displayed position to the right. A positive Y value moves the displayed position down.

Step 3:
Press the Save button to store the trims permanently for the current map.

Tip:
Please see the Datum Shift section for more appropriate methods of adjusting the GPS spot position


Track Trace

Track Trace features

TrackRanger supports features to allow a route to be recorded and displayed, and optionally "played back" at a later date.

TrackTrace is started by selecting the Track Trace option from the drop down menu. Hot Key 'T' (Enable Track Trace) may also be used.

Track Trace by default selects the current map file name and appends the current date to it. This gives the file a unique name. The user may optionally change this name if so desired.

After starting the Track Trace option, and confirming the start option, accept or change the proposed file name.

Files may be saved and loaded for display at a later time.

The Route followed by TrackRanger is drawn on the map.

To stop trackTrace, press the hot-key 'T' a second time, or select Disable TrackTrace from the Utilities drop-down menu.

A previously saved file may be drawn on the map by selecting 'Plot Existing Track Trace File' option from the Utilities menu. Navigate to the desired file and click on OK. The Track Trace files are automatically zoomed to match the TrackRanger display magnification. (more information on plotting trackTrace files below:)

Datum Shift integrated in Track Trace

Note that if Datum Shift is active, this Datum Shift is also automatically applied to the data stored in the TrackTrace file. Subsequent Plots of TrackTrace data will have the datum shift included. If these plots are performed on a map that does not require a Datum shift, then the user may optionally select to 'remove' the datum shift offset. The amount to be removed (corrected) is the inverse (negated value) of the values set in the datum-offset dialog. In other words, the amount added previously, is the amount to now be subtracted. See the information on Datum Shift Integrated into Plotted Track Trace (below).

See also Section 13 of the online manual for more information on map datums.

See section 18 of the online manual for information on Datum Shift with TrackTrace.

Track Trace Resolution

Track Trace also supports a facility whereby the Trace Resolution may be specified. This parameter is global (applies to all maps until changed). The resolution, which affects how much distance must be traveled before the next log point is recorded, is selected from the Utilities | Set Track Trace resolution option.

A maximum of 13,000 individual track trace points may be stored in each individual track trace file (.TRK extension).

Each map can have more than one associated track trace file ( 4 maximum).

Track Trace Width

Track Trace also supports a facility whereby the Trace Resolution may be specified. This parameter is global (applies to all maps until changed). The resolution, which affects how much distance must be traveled before the next log point is recorded, is selected from the Utilities | Set Track Trace resolution option. A maximum number of 4096 individual track trace points can be stored.

The Width of the Track Trace line may be changed for individual maps using the Set Track Trace Width option from the Utilities menu.

Plotting existing TrackTraces

A previously saved TrackTrace file may be drawn on the map by selecting 'Plot Existing Track Trace File' option from the Utilities menu (Hot-Key 'P').

Navigate to the desired file and click on Open. The Track Trace files are automatically zoomed to match the TrackRanger display magnification.

Up to 8 individual plots may be simultaneously overlaid on the map. Use the P key or select Plot from the Utilities menu to start the first plot. Add additional plots to the map by pressing Control-P, and selecting further TrackTrace files.

At the conclusion of displaying the plots, press Hot-Key 'P' again, or uncheck the Plot item from the Utilities menu. This will erase all plots from the screen.

Datum Shift in Plot of TrackTrace
Note that when plotting an existing TrackTrace, it is possible to incorporate a Datum Shift into the plotted data. This value is the inverse (subtracted rather than added) value as listed in the Datum Shift dialog. This allows track traces that were recorded with one datum to be overlaid on a different map calibrated with a different datum. See the section on "Datum Shift Integrated into Track Trace" (above).

The offset will only be applied to the Track Trace plot is the Datum Shift checkbox is active. The user will be asked to confirm to apply the datum correct offset.

Note that if the Trace as Dotted Line is checked, a dotted line is added to the centre of the trace.

Tip:
Multiple shorter trackTrace files may be appended with the TrackTraceAppend Utility (available from the Utilities menu) TrackRanger V4.3 or later is required.

The maximum number of trackTrace points per plot is 130,000 and up to 4 plots may be simultaneously plotted on the map.

See Section 18 of the trackRanger Manual for more information on TrackTraceAppend.


Spot Size

Changing the GPS Position Size

The displayed spot size may be changed by adjusting the Dot Size option from the GPS Calibration form (see Lat Long and Distance Data form on the Calibrating Map Coordinates page).

The Spot size is saved with each individual map.

Press the Save button to store a new selected spot size to the TrackRanger database.

Note that changing the Spot size also changes the size of the Directional Arrow, if that option had been chosen


Auto-Track

TrackRanger includes the ability to Automatically Track a GPS coordinate. It does this by allowing the user to select a pre-defined zoom factor, and re-positions the map automatically to match the GPS location whenever the GPS position moves outside of the current map boundary.

Note: Auto Track is only available if valid GPS data is being received, and the received coordinate is within the current map boundary.

To enable Auto-Track, right click on the map area, and select Auto-track Zoom, and a suitable zoom factor. The Map will be redrawn at the selected zoom ratio so that the GPS coordinate is located within the map area.

Whenever the GPS coordinate falls outside of the viewable map area, the map position will be recalculated and refreshed such that the GPS position is viewable.

To turn off Auto-Track, select the Disable item from the Auto-track Zoom menu.

If the GPS coordinate falls outside of the map extremities, or the next Auto-Track calculation would attempt to create a zoomed map area outside of the present map extremities, Auto-Track is disabled.

Tips:
The GPS Coordinates page shows the Auto Track status.

Hot-keys A2, A3, A4, A5 and AD (Auto-track disable) are also available for Auto-Track.

See also TrackRanger Toolbar


Auto Map Move

TrackRanger Supports Auto Track Move. This option causes the underlying map to "move" or "float" such that the GPS displayed position remains 'towards' the centre of the map.

AuotMapMove may be controlled by the shortcut keys "AM".

The status bar, and the GPS coordinates form shows the current operation status of AutoMapMove.

AutoMapMove is most suitable when using non-compressed files (such as JPG or BMP files), and when the zoom ratio is 1:1 (100%)


Auto-Pilot

For NatMap and UBD maps, the Hot Keys "AP" can be used to turn on / off AutoPilot. This will automatically search for and load a NatMap map to match the current position, and enable Auto-Recommend maps and Auto-map-move at the same time. (Remember to Link first, so that TrackRanger is receiving valid GPS data)

NatMap Mosiac maps may also be loaded with the hotkeys 'AP', or from the File drop-down menu.

Auto-Pilot will not steer your vehicle...

Auto-Loading the next NatMap map before map boundary reached
While on Auto Pilot, TrackRanger allows you the option to load the next section of the Mosaic or MapSheets map when the GPS position is within 20% of the current map boundary, rather than waiting for the GPS position to reach the edge of the map.

To enable the feature, select the item from the Utilities drop-down menu. TrackRanger will remember your preference for the next time you start TrackRanger. This feature works with NatMap MapSheets or Mosaic.


Map Boundary Out-of-bounds

Map out-of-bounds display

If the currently received GPS coordinate falls outside the viewable area, an arrow will flash at the map boundary to indicate the general direction of the GPS position in relation to the current map display. There are eight (8) available arrow locations (Top, Right, Bottom, Left, Top-Right, Top-Left, Bottom-Right, Bottom-Left. The user may then choose to load an alternative map (see also Recommended Maps Utility feature).


Birds-Eye View

To more easily identify the overall current GPS position on and, and when Zoomed in on an area (either manually, or via Auto-Track), a Birds-Eye View is available (hot key 'B'). This shows the zoomed-in location, relative to the overall map.

This feature is most suitable for user-created maps, such as JPG maps.

Tip: The Birds-Eye view rectangle pen colour can be changed to suit the contrast of the acual map. Use the Utilities Set Birds Eye View pen colour option.

The Birds Eye View window can also be enabled from the TrackRanger Toolbar

Tip:
The the Birds Eye View display size may be altered by dragging the bottom Right-Hand corner of the Birds Eye View display with the mouse.


Night Vision

TrackRanger V4.5 or later supports Night Vision, allowing users to more comfortably view the computer screen in low external ambient light conditions.

TrackRanger supports two different ambient light intensities, and also allows the user to select the filter colour.

Selecting the Filter Colour.
Select the desired Filter Colour from the Utilities drop-down menu.

Activating Night Vision

Night Vision is activated by the hot-key 'V'. Each press of the V key will toggle the state of Night Vision from
Low Intensity, Maximum Intensity or Off.

Night Vision affects most displays on the computer screen, not just TrackRanger. For convenience, displays such as Compass etc are placed on top of the night vision screen, and therefore remain quite readable.


Satellite Data

Viewing Satellite location data

Satellite data (the number of and location) may be viewed by selecting the GPS Satellite data item from the main menu (hot-key 'Ctrl-S')

This displays information about the satellites providing valid data. The satellites are represented in their relative positions in the sky.

Satellites providing valid data are displayed in yellow.

Satellites with no active lock are shown in aqua.

Viewing Satellite Signal Strength

The Signal Strength tab from the GPS Satellite Data form allows satellite signal strengths to be dynamically displayed. The bottom row of numbers indicates the satellite number, and the top row shows the relative signal strength.

Green colour bars show signals that TrackRanger is using for active navigation.

Maroon colour bars show satellites that TrackRanger does not have an Active lock on.

Satellite data lost:
Note: If Satellite data lost, then Satellite Information and Signal Strength displays all show in bright red:


Ruler Display

Ruler Display for distances

A Ruler (Hot key 'R') or selecting from the View | Ruler menu displays an overlaid 'floating' ruler that can be easily moved over any location on the map surface. The scale of this ruler automatically adjusts to suit the zoom ratio.

Tip: The ruler is particularly useful to determine map gridline spacing on a map

Tip: See also Measuring Distances


Measuring Distances

Straight Line Distance Measurement

Straight-line distances in any direction may be measured directly on the map surface. To mark a distance origin, position the mouse on the map at the desired location, and click the right mouse button. From the pop-up menu, select the Set Distance origin item.

The distance origin point will be displayed as a yesllow square with a cross-hair on the map.

A stright line will be drawn on the map together with a label showing the distance moved.
The distance the mouse moves from that position will also be shown as the Distance item at the lower section of the GPS Coordinates form. The distance is shown in metres or Kilometers, depending on the extent of the moved distance.

The selected origin point is shown in the Map Lat Long window of the GPS Coordinates form.

If no Origin point has been selected, the upper left hand screen coordinate is used.

Once the distance has been measured, click the left mouse button to remove the information from the screen.

Please note that the distance from the origin point will continued to be shown on the GPS Coordinates form, regardless of the 'active' monitoring of distances.

Contour Distance Measurement

Distances may also be measured by tracing the contour of the map surface.

Place the mouse on the map surface at the starting point of the map leg to be measured.

While holding down the left Shift key, press and hold the left mouse button.

The cursor will change to a ruler display.

Move the mouse to trace a line along the required path.

When the path has been traced, release the left mouse button. The distance traveled (as a contour and straight-line path) will be presented to the user by means of a pop-up message.

Tip: Distance "Origin Points" are not saved in the map file database.
See also Ruler Distances display


Marking Positions

TrackRanger provides a facility for users to mark up to 20 user-definable positions on each map surface. These positions may be annotated, and identified easily at any time.

To mark a position, place the mouse on the map at the desired location, and press the right mouse button. Navigate to the Mark Position item on the menu, and press the left mouse button:

An aqua colored 'spot' will be drawn on the map surface indicating the selected position

Annotating Markers

Place the mouse over the required marker, and press the left mouse button. A dialog will be provided, allowing the user to enter a test based description of the location. Text strings may be up to 64 characters in length.

Press on the save button (or the keyboard Enter key) to write this information to the database.

Deleting Markers

To delete an existing marker, select the marker as in Annotating Markers (above) and press the delete button.

Showing Marker Positions

Pressing the Space-Bat will turn on/off the names of all of the Marker positions and displayed wayPoints. If a Phorograph has been attached to the marker, the name will be suffixed with the letter P as shown below:

Linking a marker
Marker Positions may be linked to other marker positions in order to extablish a trip plan. The link will be shown between the two locations, and the Marker Hint will show the distance to the adjacent marker.

Finding and existing Marker

To locate an existing marker point, select a marker item from the "Find Marker" drop down menu. The corresponding marker will "flash" in an alternative color (green) for easy identification.

Click on the Disable Find item from the drop-down Find Marker menu, (hot-key 'D') or right mouse click on the form and select Disable Find item on the pop-up menu.

Note that the annotation and delete marker features are disabled while the find marker function is in operation.

Photographs to markers

It is possible to add a photograph or other digital image to a Marker Position. This is a useful way to keep track of locations, fishing spots, camping area, or other points of interest. The image can be either JPG or BMP format.

To add an image to a marker, press the Attach Image Button from the bottom of the Marker Comment form.

To display the image, simply move the mouse over any marker position with an associated image and press the left mouse button. The image will be displayed. Clicking on additional markers will cause their associated images to be shown. Clicking on the same marker again will hide the image display. When the image is shown, the caption of the marker is superimposed.

Note that any Markers that have an associated photograph will have a (P) suffixed to their Marker name.

Tip:
Photographs may also be added to WayPoints by right-clicking on the WayPoint on the Map Surface

Tips:
Position Markers are not available for input until the map has been calibrated (see Tools | GPS Calibration menu and the section on Calibrating the Map Coordinates)

Marker descriptions are automatically presented as a 'popup hint' whenever the mouse is moved over the marker on the map.

Photo Images may also be added to WayPoints in a similar fashion.


WayPoints Management

Press Control-W or select Waypoints from the view drop-down menu

Load waypoints from disk using the Load TR WPs button

Edit waypoints delete or add new waypoints from the appropriate buttons.
Tip: Waypoints can be added directly on the map using GPS position (use the '=' key) or right-click on the map.

Add photos or movie clips to existing waypoints by right-clicking on the waypoint on the map

TrackRanger supports Waypoint management whereby waypoints can be downloaded / uploaded to the GPS, edited, deleted, renamed etc.

Routes stored in the GPS may also be downloaded to TrackRanger.

These waypoints and routes may be stored to individual disk files, thus allowing waypoints to be stored, retrieved, and uploaded to the GPS at any time.

Waypoints functionality is controlled by selecting the "Waypoints/Routes management" function from the utilities drop-down menu, or by pressing Hot-Key combination: Control-W from the keyboard.

Before uploaded/downloads can occur, it is important that the GPS be set to the correct protocol for this functionality to take place.

On a Garmin, the Interface should be set to Garmin/Garmin as seen in the following image (sometimes referred to as GRMN/GRMN).The baud rate in TrackRanger is usually 9600for Garmin GPS models

For Magellan models, the NMEA interface needs to be switched off so that the special waypoint requests can be executed. Some later Magellan models (e.g. SporTrak, Meridian etc allow a remote control command to perform this automatically. TrackRanger will attempt to turn off/on NMEA interface when the WayPoints management dialog is started).

Initial Waypoint data is set as follows:

1: Select the GPS Model to match (as closely as possible) the GPS you are using. Note that for Waypoint functionality, not all GPS Models are supported, or available.

2: Set the GPS Baud Rate (9600 for Garmin models, usually 4800 for Magellan, or to match the baud rate shown on the GPS receiver)

3: Set the comport that you wish to use (this is usually the same Com Port as being used for GPS navigation).
4: Set the WGS value to match the WGS setting of your GPS.

5: Ensure that the GPS communications have been set correctly to match your GPS model (see Waypoint GPS Setup above).

6: Press the DownLoad WayPoints from GPS button.

The waypoint data will be downloaded, and information will be displayed on the Waypoints Form. TrackRanger supports facilities to manage up to 500 individual waypoints at any one time. Disk storage of individual Waypoint sets means that total flexibility and versatility can easily be achieved.

Saving WayPoints:
TrackRanger will alert the user to save any new or changed Waypoints to disk before closing the WayPoint management page, or exiting TrackRanger.

WayPoints of the current GPS position may also be added by clicking on the +GPS Pos'n WP button from the GPS Coordinates form (hot-key G).

Monitoring when Approaching WayPoints
TrackRanger can notify the user when WayPoints are being approached. The alert is provided by both visual and audible means. From the WayPoints management page (Control-W), select the Alert when Approaching WayPoints check box. Optionally set the threshold distance (in Metres). Whenever the GPS position is within the threshold distance of a WayPoint, an alert will sound, and a message will be shown on the map.
Tip: Alert when approaching Waypoints may be toggled using hot keys: AW

For more detailed information on WayPoint operation, including Voice announcements, please refer to the WayPoint Functionality in Section 7 of the Online TrackRanger manual (TrackRanger Manual.pdf).

Optionally, refer to Section 8 of the manual - Trip Planning

See also the section on Distances, Bearing and ETA's to WayPoints


Distances Bearing and ETA to WayPoints

Distances, Bearings and ETA's to WayPoints

TrackRanger Allows the user to view distances, direction (bearing), and ETA / ETE data to all loaded WayPoints.

The distances are Straight-Line distances, based on a calculated "rolling averaged" sampled speed. New calculations, bearings and ETA's are calculated and the display is updated every two seconds.

WayPoints must be loaded from disk, entered manually (from the WayPoints Management page - hotkey: Control-W), or downloaded from the GPS first.

Showing the Distance Display:
The distances display is turned on by any of three methods:
1. The hot-key 'D',
2. From the View drop-down menu,
3. Pressing the "Show Dist's to WP's" button on the WayPoints form (hot-key 'W').

Pressing the 'D' key again, or re-selecting the Distances to WP's item from the view menu will turn the display off.

The display provides a list of the WayPoints as shown in the WayPoints display.

Distance Travelled

The top-left corner of the Distances & Bearing to WayPoints page shows an odometer that display the current distance traveled, as well as the "rolling averaged" speed (since last reset).

The distance value is shown in Kilometers to three decimal places. To start measuring a new distance, press the Reset Total Distance button.

Estimated Distance to next WayPoint:
The expected next WayPoint is shown in the display, together with expected remaining travel distance, and ETA / ETE depending on which item is selected.Estimated Distance to Next WP

Estimated Distance to destination:
This value is based on the distance between the current GPS location, and the successive WayPoints that have been chosen for inclusion in the result displays.

Trip Progress:
The trip progress is a progress bar, which provides the user with a visual indication of the distance travelled. This allows the user to quickly identify travelled distances, as well as the remaining distance.

WayPoint Sequence ordering:
The sequence of ordering of the WayPoints may be changed at any time by clicking and holding the WayPoint with the left mouse button, and dragging it to a new location, then releasing the mouse button. The WayPoints list may be enlarged by resizing the page to facilitate location of the desired new placement location.

Click and Drag the WayPoint to a new location to change the sequence

Interpreting the distances display
Valid GPS data must be received for the display to update. The speed must be greater than zero for the ETA data to be updated (i.e. Vehicle not stationary).
The Distance value is appended with one of three characters(+, -, =)

The Plus sign (+) indicates that the GPS position is approaching the WayPoint (i.e. the current distance is less than the previously calculated distance).

The Minus sign (-) indicates that the GPS position is moving away from the WayPoint (i.e. the current distance is greater than the previously calculated distance).

The Equals sign (=) indicates that the GPS position has not changed from the last sample taken (i.e. the distance is the same).

The bearing shows the direction needed to be taken to arrive at the listed WayPoint. Zero degrees represents due North (not magnetic north!).

Time to Arrival as ETA or Estimated Time En-route (ETE)
The ETA lists the Estimated Time of Arrival (ETA) at the listed WayPoints. The date column shows the estimated Date of Arrival. The date is only shown for Absolute Time format

Two different views of ETA are available
1: Absolute Time - the expected time and date of arrival
2: ETE Time - the expected time to arrival in Hours, Minutes and Seconds

To change between Absolute and ETE Time, either select the option from the View drop-down menu; Change the selection from the WayPoints Management page, or change the selection from the Distances & bearings to WayPoints display directly.

Locating WayPoints on the Map from the WayPoint display
WayPoints can be highlighted and shown on the map by clicking an item on the distances page. This is the same as highlighting a WayPoint from the WayPoints management page (see WayPoints in Section 8 of the TrackRanger Manual).

Clicking the Checkbox: Display Links on Map allows the Current Route to be shown overlaid on the map as shown below. WayPoints that do not have their checkbox 'checked' are excluded from the list:

Distance Checkboxes:
A Checkbox is shown adjacent to every WayPoint in the list. Only WayPoints with this checkbox 'checked' are included in the calculation of ETA. This is useful if a stopover might be taken, such as a short trip along a side road or to an adjacent location. Checking this item allows the WayPoint to be included in total distance and ETA calculations, leaving the item un-checked omits it from these calculations (please note however, that TrackRanger will still list it as the Next WayPoint if it is the nearest WayPoint with a positive velocity Made Good value.

Velocity Made Good (VMG) information
The term "Velocity Made Good", otherwise known as VMG, is the speed considered to be undertaken along a calculated bearing line. This imaginary line is the line between the GPS Position and the selected waypoint, but is influenced by the GPS bearing (i.e. bends in the road). In other words, Velocity Made Good is the calculated speed at which you are traveling towards (or away from) the waypoint.

For more detail on WayPoint Distances, refer to the TrackRanger manual, and also see also the Section on WayPoints Management

For more information on other features of the Distances and Bearing to WayPoints display, refer to the TrackRanger manual.


Adding Photographs to Maps

TrackRanger allows the user to add photographs to both WayPoints and Marker Positions on Maps.

When the user clicks the left mouse button on a marker or WayPoint containing a photograph, the image is displayed on the TrackRanger screen.

The supported image types are JPG and BMP.

Adding Photographs to WayPoints:

With the WayPoint displayed on the screen (Hot-key W), right-click on the WayPoint. The following dialog is displayed:

Click on the Attach Image button, and navigate to the disk location containing the required image.

Press the Close button.

The WayPoint title will be appended with a '(P)' to indiacte that this WayPoint has an associated photograph.

Left clicking on the waypoint should show the image on the TrackRanger screen.

Clicking on a different WayPoint or Marker will jump to that image.

Clicking on the same WayPoint twice will remove the image from the screen.

To permanently remove the attached image, right-click on the WayPoint again, and press the Remove Image button.

Note: The Photographs attached to WayPoints are identified by the unique WayPoint name.

If another WayPoint set is created using an existing WayPoint name, the image for that existing WayPoint will be automatically applied to the new WayPoint.

To avoid this situation, ensure that you use unique names for WayPoints that might require photograph attachments.

Adding Photographs to Markers

Right click on a Marker Position, and press the Attach Image button.

Navigate to the location of the image and select it from the dialog.

The Marker will be modified to show the image.

The Marker title will be appended with a '(P)' to indicate that this Marker has an associated photograph.

Left clicking on the marker should show the image on the TrackRanger screen.

Clicking on a different Marker or WayPoint will jump to that image.

Clicking on the same Marker twice will remove the image from the screen.

To permanently remove the attached image, right-click on the Marker again, and press the Remove Image button.


Track Notes Log

Track Notes

Windows Notepad may be automatically launched by TrackRanger. This is useful for entering information about a trip, including fuel purchased, repair costs, accommodation etc.

Track Notes log may be launched by pressing the hot-key 'N', or from the View | Track Notes log drop-down menu.

TrackRanger creates a file with the name format TrackRangerLog_yyyymmdd.txt.

Whenever Track Notes is started, the user is informed of the previous filename used, and given the option to keep adding to that file, or create a new file. This is designed so that details of a trip lasting many days or weeks can be recorded in the one file.


Information Statistics

Statistics relating to files in use, file directories, map calibration and related options are available from the Information Statistics page.

The Information can be displayed by pressing the Hot-Key 'I', or from the View | Information Statistics (I) drop-down menu.

The statistics also show the number of files in each of TrackRanger's map folders.

Pressing the centre button will allow the displayed statistics to be copied to a disk-based statistics file: TrackRangerStatistics.txt. This file will be created in the TrackRanger directory.


Printing Map Data

Printing Maps

Maps may be printed for later analysis. All of the features on the current map will also be available on the printed output. This includes all Markers and their annotation, as well as active TrackTrace data.

To print a map, select the print option from the File drop-down menu.


Time Synchronising to GPS

Time Synchronising to GPS Time

TrackRanger can synchronise the computer time from the time received from the GPS. Select the Synchronise Time To GPS from the Utilities drop-down menu:

Provided valid GPS data is being received, the time will be immediately synchronised on the computer.

If Valid data HAS BEEN available, but is NO LONGER available, the user is given the option of Synchronising regardless. This may occur if a GPS position has been received, and is then subsequently lost, due to the unit now being used indoors, or GPS Navigation turned off to conserve battery power etc.

For more information on Synchronising Time, please refer to Section 17 of the TrackRanger Manual.


Accuracy of position

Accuracy of displayed data

Several factors affect the accuracy of the GPS position on the map. These should be taken into consideration when reviewing the presented position. They include

· The available satellites
· The signal strength
· The type of navigation (2D, 3D)
· The dilution of precision reported by the GPS
· The accuracy of the map calibration information
· The linearity of the map drawing
· The overall scale (distance coverage) of the map

Also, if the position shown on a map appears to be out of calibration at one extremity (eg: Northern part of the map), and out of calibration in the opposite direction at the opposite extremity, it is likely that the map calibration points have not been set accurately. Check the topic on GPS Calibration.

Tip:
If the displayed position appears to be innaccurate, check that the map calibration has been set correctly. For calibrating maps, see also: Lat / Long Calculator


Support Information

Support Information for TrackRanger [tm]

If you encounter any operational difficulties with TrackRanger, please contact our technical support centre using one of the following options:

How to Contact Advantech Design Support:

email: | support@advantechdesign.com
web: | www.advantechdesign.com
fax: | (613) (03) 9439-2004
Mail | PO Box 890 Eltham Victoria Australia 3095

Please provide as much information about your request as possible, including the exact software version number (see Help | About TrackRanger).

A TrackRanger.RIP file should be located in the directory that TrackRanger is run from. If this file exists, please email a copy of this file with the support request.

Advantech Design P/L welcomes your comments, suggestions and feedback on TrackRanger [tm].

Copyright © 2000, 2004, Advantech Design P/L. All rights reserved.


Contact Advantech

Advantech Design P/L:

Web | www.advantechdesign.com.au
Email | support@advantechdesign.com.au
Mail | PO Box 890 Eltham Victoria Australia 3095
Fax | (613) (03) 9439-2004

See also: TrackRanger Support


Auto Map Recommend and Load

TrackRanger can automatically search and load a map to match the current GPS position. The function is activated by the hot-keys "AR", or from the "Auto Map Recommend and Load" option from the Utilities Drop-down menu.

TrackRanger must be receiving valid GPS data for this function to work.

As the GPS position moves from the xurrent map area, TrackRanger will search for and load the first map it can locate within the new GPS position. Other maps may be loaded using the Recommended Maps Option or with the Open Map option (Hot Key 'O')

See also "Loading a Map File" and "AutoPilot"


Navigating manually around ECW (NatMap) maps

Navigating manually around ECW (e.g. NatMap) maps

When an ECW map is loaded in Preview Mode (hot-keys 'EP', or from the button on the mini tool-bar), several tools are available to assist with manually navigating around the map surface.

These tools and their functions are shown here:

Select the Roam tool, then click and hold the left mouse button down to 'drag' to a different region of the map

Select the Zoom Image tool, click and hold the left mouse button, and drag up or down on the map surface to zoom in / out on the map

Select the Zoom Area tool, click and hold the left mouse button, and drag down and to the right to form a rectangle. When you release the mouse button, the sedlected area is automatically zoomed in and viewed.

Select the Pointer tool and the latitude and longitude (and UTM) coordinates at the mouse cursor position are available (View GPS Coordinates page to see)

Select the Zoom Extents button to revert to the full screen image of the map (zoom out to entire map)

Press the Red Tick button to revert to user mode from the current manual 'preview' mode of trackRanger


NatMap Maps

NatMap MapSheets
TrackRanger Version 3.2 and above can also directly import NatMap Mapsheets maps from CDROM or hard-disk drive. These maps have an ECW file extension (Enhanced Compression Wavelet). NatMap maps are pre-calibrated.

The user should first familiarise themselves with the operation of the NatMap Raster Viewer Map Reading program, and the associated controls and tools. Most of these options are also available from within TrackRanger.

Note that most Hot-Key commands associated with NatMap maps begin with E. This is derived from the file type of ECW (Enhanced Compressed Wavelet format)

Auto Pilot
With incoming GPS data, press the hotkeys combination AP to turn on AutoPilot. TrackRanger will Search for and load a NatMap map, enable Auto-Recommend, and enable Auto-Map Move.

NatMap Mosaic
TrackRanger V4.0 and later can automatically read the NatMap Mosaic maps. This map set may optionally be installed first to the hard disk drive (see separate utility program included with TrackRanger to copy these maps). Maps can be loaded by using the Hotkeys option 'EA', or from the File drop-down menu.

When the user selects to Automatically load and zoom a Mosaic map, TrackRanger loads the map, finds the correct location, enables Auto-Recommend, and Locks to this map, so that future searches for maps to match the GPS location won't allow TrackRanger to 'hunt' for an alternate mapping type (i.e. scanned maps, NatMap MapSheets etc)

More information on the use of NatMap MapSheets and Mosaic can be found in the on disk TrackRanger Manual (pdf file)

See also manually navigating around ECW maps

NatMaps Installation Setup program: "Failed To Register"

If your receive a "one or more files Failed To Register" message when installing NatMaps, perform the following tasks:

1: Use Control Panel | Add/Remove Programs to Uninstall NatMaps.

2: Start TrackRanger and from the Utilities Menu, select the "Remove/Replace NCS Dlls files option from the Utilities menu.

3: Allow the utility to delete all NCS*.dll files listed, then close TrackRanger and Reinstall NatMaps from the setup program on CD1.

4: Restart TrackRanger and allow TrackRanger to then upgrade files if recommended.


Speedometer

Pressing the hotkey 'S' launches the digital speedometer display (toggle function). This may also be launched from the View drop-down menu.


Travel Statistics

The Travel Statistics page may be quickly accessed by pressing the backspace key. This then shows large character displays of ETA, Destinations, and Speed etc


UBD Facility Search

Select the desired Map Region, and Scroll through the list of available facilities for that map region, and double-click to select the desired facility type:

Optionally type in any of the letters contained in the selected facility to scroll the first facility containing those letters

Double-click on the facility name to load it and display it in TrackRanger
Refer to Section 26 of the trackRanger manual for more information.

Back to UBD Maps Introduction


UBD Map Scales

Select either the 1:20k map or the 1:40k map from the map scale selector:

Back to UBD Maps Introduction


UBD Maps with TrackRanger

UBD Maps

TrackRanger Pro-5 and above supports UBD Australia City Streets Version 3.
TrackRanger Pro-6 suports UBD Regional Cities and Towns maps
The following cites / regions are covered by the UBD maps:
o Adelaide
o Brisbane
o Canberra
o Darwin
o Hobart
o Melbourne
o Perth
o Sydney
o Central Coast NSW
o Newcastle
o Wollongong

The UBD Regional Towns maps cover more than 600 towns throughout Australia.

A complete description of features of the UBD maps is available in Section 27 of the TrackRanger manual.

Autopilot with UBD Maps
If TrackRanger is running Autopilot and UBD maps are installed, it will attempt to load a UBD map in preference to the NatMap Raster Mosaic map.

Searching for a location with the UBD maps:
The UBD functionality is available from a separate drop-down menu from the main TrackRanger page:

See Also:

UBD Streets Search

UBD Suburb Search

UBD Facility Search

UBD Panning and Zooming

UBD Map Scale Selection


UBD Searching

UBD Searching for Suburbs

Selecting Map Region
Choose the desired map region from the drop-down list at the bottom of the UBD maps page:

Finding a Suburb

After selecting a map region, type in any of the letters contained within the suburb name. The letters entered do not have to be at the start of the name. This make is easier to locate names that identify mountains such as Mt Coolum vs Mount Coolum

Double-click on any of the names in the suburb list to immediately load the map at that location. Remember to set the desired zoom ration (e.g. X4, X5, X6 etc) before loading the map.

Back to UBD Maps Introduction


UBD Search for Streets

Select the desired UBD Map Region

Type in the name of the street or road (note the search for street names starts with the letters you have entered, rather than contains the letters you have entered)

Double-click on any of the entries from the list. The map is loaded, and the street name is highlighted

Back to UBD Maps Introduction


UBD Zooming and Panning

Zooming an area with the mouse:
With the left mouse button depressed, select and drag an area, and then release the mouse button:

Zooming with the X1-X6 hotkeys
The current view can be zoomed in / out by pressing the hotkeys X1 through X6.
It is recommended that hotkeys X4 to X6 are most suitable for the 1:20k map scale, while X1 to X3 are best suited to the 1:40k map scale.

If valid GPS signal has been received, Zooming using hot-keys will track the GPS position. If no GPS position information is available, zooming will track as close as possible to the centre of the current image.

Panning the UBD Map
Areas adjacent to the current view may be located by pressing any of the keyboard arrow keys while the shift key is depressed. To allow for easy orientation, approximately 25% of the previous image is retained, and 75% of the image will be the newly panned area.

Back to UBD Maps Introduction


Video

TrackRanger Video

A Video showing some of the features of TrackRanger is available for viewing from the TrackRanger installation CD.

Using "My Computer" or "Windows Explorer", navigate to the CD, right-click and select Open to avoid launching the installer.

Double click on the TrackRanger_Video file in the Video folder of the CD.

(Press "Cancel" to stop the automatic installation program from running when first inserting the CD)